Loading...
Searching...
No Matches
SemaphoreInfo Struct Reference

## Data Fields

MagickMutexType | mutex
MagickThreadType | id
ssize_t | reference_count
size_t | signature

## Detailed Description

Definition at line 60 of file semaphore.c.

## Field Documentation

## id

MagickThreadType SemaphoreInfo::id

Definition at line 66 of file semaphore.c.

## mutex

MagickMutexType SemaphoreInfo::mutex

Definition at line 63 of file semaphore.c.

## reference_count

ssize_t SemaphoreInfo::reference_count

Definition at line 69 of file semaphore.c.

## signature

size_t SemaphoreInfo::signature

Definition at line 72 of file semaphore.c.

The documentation for this struct was generated from the following file:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/MagickCore/semaphore.c